# Class MD5ServiceInstance

#### Hierarchy (view full)

- RWSService
  - MD5ServiceInstance

- Defined in src/services/MD5Service.ts:12

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_instances

### Methods

batchGenerateCommandFileMD5
calculateFileMD5
cliClientHasChanged
generateCliHashes
getReloadable
md5
reloadService
getSingleton

## Constructors

### constructor

- new MD5ServiceInstance(): MD5ServiceInstance

- #### Returns MD5ServiceInstance

  Inherited from RWSService.constructor

  - Defined in src/services/_service.ts:4

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### batchGenerateCommandFileMD5

- batchGenerateCommandFileMD5(moduleCfgDir): string[]

- #### Parameters

  - ##### moduleCfgDir: string

  #### Returns string[]

  - Defined in src/services/MD5Service.ts:63

### calculateFileMD5

- calculateFileMD5(filePath): Promise<string>

- #### Parameters

  - ##### filePath: string

  #### Returns Promise<string>

  - Defined in src/services/MD5Service.ts:13

### cliClientHasChanged

- cliClientHasChanged(consoleClientHashFile, tsFilename): Promise<boolean>

- #### Parameters

  - ##### consoleClientHashFile: string

  - ##### tsFilename: string

  #### Returns Promise<boolean>

  - Defined in src/services/MD5Service.ts:47

### generateCliHashes

- generateCliHashes(fileNames): Promise<string[]>

- #### Parameters

  - ##### fileNames: string[]

  #### Returns Promise<string[]>

  - Defined in src/services/MD5Service.ts:34

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### md5

- md5(input): string

- #### Parameters

  - ##### input: string

  #### Returns string

  - Defined in src/services/MD5Service.ts:95

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc